%define name 	bluez-utils
%define version 2.4
%define release 4mdk

Name: 		%{name}
Summary: 	Official Bluetooth utilities for linux.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://bluez.sourceforge.net/
License:	GPL
Group:		Communications
Patch0:		bluez-utils-2.4-bluepin-gtk1.2.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	flex bison kernel-source bluez-devel
Requires:	python
PreReq:		rpm-helper

%description
These are the official Bluetooth utilities for Linux.

%prep
%setup -q
%patch0 -p1 -b .bluepin-gtk1.2
perl -p -i -e 's|/bin/bluepin|/usr/bin/bluepin||g' `find -type f`
perl -p -i -e 's|/bin/hcitool|/usr/bin/hcitool||g' `find -type f`
perl -p -i -e 's|/bin/l2ping|/usr/bin/l2ping||g' `find -type f`
perl -p -i -e 's|/bin/rfcomm|/usr/bin/rfcomm||g' `find -type f`
perl -p -i -e 's|/sbin/hci|/usr/sbin/hci||g' `find -type f` 

%build
%configure
perl -p -i -e 's/\$\(DESTDIR\)\/etc/\$\(RPM_BUILD_ROOT\)\/etc/g' scripts/Makefile
%make CFLAGS="$RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall confdir=$RPM_BUILD_ROOT/etc/bluetooth

%post
%_post_service bluetooth

%preun
%_preun_service bluetooth

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/bluetooth/*
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%{_sbindir}/*
%{_mandir}/man*/*

%changelog
* Thu Feb 12 2004 Nicolas Planel <nplanel@mandrake.org> 2.4-4mdk
- fix bluepin (fredl).

* Mon Jan 26 2004 Austin Acton <austin@mandrake.org> 2.4-3mdk
- fix file locations

* Mon Jan 19 2004 Austin Acton <austin@mandrake.org> 2.4-2mdk
- really add clean macro
- I am dumb

* Mon Jan 19 2004 Austin Acton <austin@mandrake.org> 2.4-1mdk
- 2.4
- add clean macro

* Mon Apr 21 2003 Austin Acton <aacton@yorku.ca> 2.3-2mdk
- make rpmlint happier (add init.d macros)
- fix references to /sbin

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 2.3-1mdk
- 2.3

* Mon Jan 20 2003 Austin Acton <aacton@yorku.ca> 2.2-1mdk
- initial package
